FROM nginx

COPY public /usr/share/nginx/html

RUN echo "server { \
    listen       80; \
    server_name  _; \
    \
    location /.well-known/matrix/server { \
        return 200 '{ \"m.server\": \"dendrite.neo.ixvd.net:443\" }'; \
    } \
    \
    location /.well-known/matrix/client { \
        return 200 '{ \"m.homeserver\": { \"base_url\": \"https://element.envs.net\" } }'; \
    } \
    \
    location /_matrix { \
        proxy_pass http://dendrite; \
    } \
}" > /etc/nginx/conf.d/matrix.conf

EXPOSE 80